%define fontname        icelandic
%define fontdir         %{_datadir}/fonts/%{fontname}
%define fontconfdir     %{_sysconfdir}/fonts/conf.d

Name:           %{fontname}-fonts
Version:        1.001
Release:        2%{?dist}
Summary:        Icelandic Magical Staves

Group:          User Interface/X
License:        OFL
URL:            http://openfontlibrary.org/media/files/asyropoulos/238
Source0:        http://openfontlibrary.org/people/asyropoulos/asyropoulos_-_Icelandic.otf
Source1:        README.license
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

%description
A font that includes most "magical" staves that have been "used" in Iceland.
Original drawings from the Museum of Sorcery & Witchcraft web site at
www.galdrasyning.is/.

%prep
cp %{SOURCE1} .


%build


%install
rm -rf $RPM_BUILD_ROOT

install -dm 755 $RPM_BUILD_ROOT%{fontdir}
install -pm 644  %{SOURCE0} $RPM_BUILD_ROOT%{fontdir}/icelandic.otf



%clean
rm -rf $RPM_BUILD_ROOT


%post
if [ -x %{_bindir}/fc-cache ] ; then
    %{_bindir}/fc-cache -f %{fontdir} || :
fi

%postun
if [ $1 -eq 0 -a -x %{_bindir}/fc-cache ] ; then
    %{_bindir}/fc-cache -f %{fontdir} || :
fi


%files
%defattr(644,root,root,755)
%doc README.license
%dir %{fontdir}/
%{fontdir}/*.otf


%changelog
* Sun Jul 12 2008 Jon Stanley <jonstanley@gmail.com> - 1.001-2
- Change font filename to something sane

* Sun Jul 12 2008 Jon Stanley <jonstanley@gmail.com> - 1.001-1
- Change version to match font file
- Include license explanation
- Change around spec a little

* Mon May 05 2008 Jon Stanley <jonstanley@gmail.com> - 1.0-1
- Initial package
